package omq.common.broker;

import java.io.IOException;
import java.util.Set;

import omq.Remote;
import omq.exception.RemoteException;

public interface RemoteBroker extends Remote {
	public Set<String> getRemoteObjects();

	public void spawnObject(String reference, String className, Class<?> parameterTypes, Object... args) throws Exception;

	public void deleteObject(String reference) throws RemoteException, IOException;

	public HasObject hasObject(String reference);

}
